% Simulation of feedback linearization
clear; clc;

i = 1;
legendInfo = {};
figure(1);

% Run the Simulink model
sim('PendulumFBL');

x1 = X.Data(:,1);
x2 = X.Data(:,2);

plot(tout, x1, tout, x2, 'LineWidth', 2);

ylabel('Angle $(deg)$', 'Interpreter', 'LaTex', 'FontSize', 16);

yyaxis right;
ylabel('Angular Rate $(deg/s)$', 'Interpreter', 'LaTex', 'FontSize', 16);

xlabel('Time $(s)$', 'Interpreter', 'LaTex', 'FontSize', 16); 

legendInfo{1} = ['$x_1$ Angle'];
legendInfo{2} = ['$x_2$ Angular Rate'];

legend(legendInfo, 'Interpreter', 'LaTex', 'FontSize', 14);

hold off;
